%define pyver %(rpm -q --queryformat '%%{version}' python | cut -b1-3 2> /dev/null)
%define pylib %{_libdir}/python%{pyver}

%define rel 0.b1.2tr

Summary: An open-source platform for XML and RDF processing
Name: 4suite
Version: 1.0
Release: %{rel}
License: ASL-like 
Group: Trustix Official
Source: ftp://ftp.fourthought.com/pub/4Suite/4Suite-%{version}b1.tar.bz2
URL: http://4suite.org/ 
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: python >= %{pyver}
Requires: coreutils

%description
4Suite is a collection of Python tools for XML processing and object
database management. It provides support for XML parsing, several
transient and persistent DOM implementations, XPath expressions,
XPointer, XSLT transforms, XLink, RDF and ODMG object databases

%package docs
Summary: Documentation for 4Suite
Group: Trustix Official

%description docs
The %{name}-docs package contains documentation on the %{name} libraries.  
The documentation is provided in ASCII text files and in HTML files.

%prep
%setup -q -n 4Suite-%{version}b1

%build
export CFLAGS="$RPM_OPT_FLAGS"
python setup.py config --system \
	--pythonlibdir=%{_libdir}/python%pyver/site-packages
python setup.py build

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
python setup.py bdist_install --root=$RPM_BUILD_ROOT

# Generate optimized bytecode
python -O %{pylib}/compileall.py $RPM_BUILD_ROOT%{pylib}/site-packages/

# Remove unwanted .mo files in site-packages 
find $RPM_BUILD_ROOT%{pylib}/site-packages -name "*.mo" | xargs rm -f

mkdir -p $RPM_BUILD_ROOT/var/run/4Suite
mkdir -p $RPM_BUILD_ROOT/var/log/4Suite

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files 
%defattr(-,root,root)
%config(noreplace) /etc/4Suite
/usr/bin/*
/usr/lib/4Suite
%{_libdir}/python%pyver/site-packages/Ft
/usr/share/4Suite
/var/lib/4Suite
/var/run/4Suite
/var/log/4Suite

%files docs
%defattr(-,root,root)
%doc /usr/share/doc/4Suite-%{version}b1

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org> 1.0-0.b1.2tr
- Rebuilt

* Wed Aug 10 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.0-0.b1.1tr
- Initial Spec for TSL-3.0 Official


